.genn-art-gl-h1-1 {
    font-weight: 900;
    font-size: 44px;
    color: #0e85af;
    display: block;
    margin-bottom: -20px;
}
.genn-art-butt-price-position {
    position: absolute;
    right: 0;
    bottom: 0;
}

.genn-art-butt-price-zakazat button {
    border: none;
    background: #08a133;
    color: #fff;
    padding: 10px 20px;
    border-radius: 15px 0 15px 0;
    font-size: 18px;
}

.genn-art-img-menu {
    border-radius: 7px;
    overflow: auto;
    padding-right: 0 !important;
}
.addon-root-modal2 .sppb-addon-content {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
}
.genn-art-blok-menu{
    display: flex;
    align-items: center;
    padding: 10px 30px 10px 10px;
    border-radius: 15px;
    box-shadow: 3px 3px 10px #00000047;
    position: relative;
    background: #ffffff;
    transition: all .3s;
}
.pricelist-title {
    /* white-space: break-spaces; */
}

#modal {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 99999;
    transition: display 0.5s;
}
body.modal-open {
    overflow: hidden;
}
#modal-body {
       padding: 0 20px 30px;
       max-height: 85vh;
       overflow-y: auto;
}


#modal-content {
    position: relative;
    width: 100%; /*calc(100% - 20px);  Ширина с отступами по 10px с каждой стороны */
    height: 90%; /* Высота модального окна, занимающая 85% высоты экрана */
    background: white;
    transition: bottom 0.4s, transform 0.4s; 
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    overflow: hidden;
    padding: 10px; /* Внутренние отступы по 10px с каждой стороны */
    z-index: 99999;
    padding-bottom: 30px;
}

#modal-header {
    display: flex;
    justify-content: center; /* Центрируем элементы по горизонтали */
    align-items: center;
    height: 25px;
    background: #fff;
    cursor: grab;
}

#drag-handle {
   width: 155px;
    height: 100%;
    cursor: grab;
    position: relative;
}

#drag-handle::after {
    content: '';
    display: block;
    width: 100%;
    height: 4px;
    border-radius: 50px;
    background-color: #cdcdcd;
    position: absolute;
    top: 30%;
    left: 0;
    transform: translateY(-50%);
}

#modal-image {
    width: 100%;
    /* height: auto; */
    margin: auto;
    /* padding: 0 20px; */
    border-radius: 10px;
}

#modal-title {
    font-size: 20px;
    margin: 10px;
    text-align: center;
}

#modal-price {
    font-size: 26px;
    margin: 10px;
    text-align: center;
    background: #0e85af;
    color: #fff;
    font-weight: 900;
    border-radius: 10px;
}

#modal-description {
    font-size: 16px;
    margin: 10px;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 10px;
    background: #f1f1f1;
    margin-bottom: 50px;
}

 #pwebbox143_toggler {
    position: absolute;
    display: block;
    z-index: 10;
}
.genn-art-blok-menu .sppb-addon-content {
    padding-right: 100px;
    color: #424242;
    font-size: 16px;
    line-height: 1.2;
}
.genn-art-popap-mob-zakaz-site-2-2-1 {
    font-size: 14px;
    font-weight: 400;
    color: #424242;
}
.genn-art-butt-price-opisanie {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.genn-art-blok-menu:hover {
    box-shadow: 0px 8px 20px #00000047;
}

.genn-art-blok-gl-1 {
    border-bottom: 1px solid #ddd;
    border-radius: 0 0 36px 36px;
    box-shadow: 0px 3px 10px #042e3d52 !important;
}
.genn-art-mob-blok-price-1 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--genn-color-1);
    padding: 15px 15px 15px 25px;
    border-radius: 100px;
    margin-top: 13px;
}
.genn-art-mob-blok-price-1.genn-art-mob-blok-price-skoraia {
    background: #08A133;
}

.genn-art-mob-blok-price-2 {
    color: #fff;
    font-family: 'Montserrat', sans-serif !important;
    font-size: 16px;
    font-weight: 600;
    line-height: 1;
    max-width: 240px;
    text-align: left;
}

.genn-art-mob-blok-price-3 {
    display: flex;
    padding: 5px 14px;
    background: #fff;
    border-radius: 50px;
    align-items: flex-end;
}

.genn-art-mob-blok-price-4 {
    font-size: 12px;
    color: #959494;
}

.genn-art-mob-blok-price-5 {
    font-size: 18px;
    font-weight: 900;
    line-height: 1.1;
    padding: 0 4px;
    color: #0c6484;
}

.genn-kat-portfolio-row-bg-black>.sppb-container-inner>.sppb-row.sppb-nested-row  {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}
.genn-kat-portfolio-row-bg-black{
    background: rgba(0, 0, 0, 0.48);
    border-radius: 20px;
    padding-top: 20px;
}

.genn-kat-portfolio-row-bg-black .sppb-row {
    gap: 10px;
}

.genn-art-full-section.genn-art-full-content .sppb-row-container{
    max-width: 100%;
}

.genn-art-full-section.genn-art-full-content .sppb-row-column  {
    padding: 0;
}
.genn-art-full-section {
    width: 100vw;
} 
.genn-portfolio-teg>.sppb-addon-content a:first-child {
    color: #fff;
    font-weight: bold;
    min-width: 50px;
    text-align: end;
}

li.sp-menu-item.sp-has-child.menu-justify {
    color: #88c7dd;
}
.sp-megamenu-parent>li.active>a, .sp-megamenu-parent>li.active:hover>a {
    color: #fff;
}
.view-article.genn-art-cat-portfolio section#sp-main-body>.container{
    max-width: 100%;
    padding: 0;
}
.view-article.genn-art-cat-portfolio #sp-main-body {
    padding: 0;
}
.view-article.genn-art-cat-portfolio .article-can-edit {
    margin: 0px;
}
.view-article.genn-art-cat-portfolio #sp-left {
    display: none;
}

.view-article.genn-art-cat-portfolio #sp-component {
    flex: 0 0 auto;
    width: 100%;
}
.genn-tehnologii-1 {
   	display: flex;
   	gap: 24px;
   	align-items: center;
   	background: #fff;
   	padding: 7px 20px;
   	border-radius: 10px;
   	color: #075f77;
   	box-shadow: 0px 2px 10px -1px rgba(0, 0, 0, 0.2);
   	margin-bottom: 15px;
}

.genn-tehnologii-2 {
    width: 48px;
    margin-right: 5px;
    margin-left: 5px;
}

.genn-tehnologii-px{
	width: 1px;
    height: 45px;
    background: #ddd;
}

.genn-art-tabs-portfolio a:hover {
  border-radius: 50px;
  background: #fff;
  color: #0e85af;
}

.genn-art-blok-mob-skril>img {
    /* height: 565px; */
    /* margin: auto; */
}
.genn-art-tabs-portfolio .sppb-nav-modern>li {
    margin: 0 10px;
}

.genn-art-tabs-portfolio .sppb-nav{
    display: flex;
    justify-content: center;
}

.genn-art-tabs-portfolio .sppb-nav-modern>li.active>a, .genn-art-tabs-portfolio .sppb-nav-modern>li.active>a:focus, .genn-art-tabs-portfolio .sppb-nav-modern>li.active>a:hover {
    border-radius: 50px;
    background: #fff;
    color: #0e85af;
}
.genn-art-tabs-portfolio .sppb-nav-modern>li>a{
    border-radius: 50px;
    padding: 10px 25px;
    font-size: 20px;
    background: none;
    border: 2px solid #ffffffa1;
    color: #ffffffa1;
    margin-bottom: 10px;
}
div#YMapInfoFooter_147 {
    position: absolute;
    margin-top: -60px;
    width: 100%;
    color: #0303034f;
}
ul.fields-container {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
li.field-entry.zarplata {
    position: absolute;
    top: 15px;
    background: #f00;
    right: 15px;
    padding: 5px 28px;
    border-radius: 0 50px;
    color: #fff;
}
.article {
    position: relative;
}
.article-intro-image {
    margin-bottom: 0 !important;
}
.category-desc h1 {
    font-size: 28px;
}

.category-desc hr {
    border-top: 1px solid #0e85af;
    margin: 0 0 5px 0;
}

.genn-art-blok-mob-skril {
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    width: 100%;
    display: block;
    height: 100%;
}
.genn-art-blok-pc-skril {
    background-size: contain;
    background-repeat: no-repeat;
    position: relative;
    width: 100%;
    display: block;
    height: 100%;
}

.genn-art-blok-pc-skril-imag {width: 74%;background: #dddddd78;position: absolute;top: 6%;left: 13%;z-index: 20;overflow: hidden;height: 71%;display: block;overflow-y: scroll;}
 
.genn-art-blok-titl-zadaci:before {
    content: var(--text-zadacha);
    position: absolute;
    transform: rotate(90deg);
    top: 58px;
    left: -40px;
    color: #bbdce9;
    font-size: 14px;
    font-weight: 100;
}

.genn-art-blok-zadaci {}

.genn-art-blok-zadaci {
    position: relative;
}

ol.genn-art-blok-spicok-zadaci {
    padding-left: 25px;
    padding-top: 10px;
}

.genn-art-blok-zadaci {
    display: flex;
    margin-bottom: 30px;
}

.genn-art-blok-titl-zadaci {
    width: 34px;
    /* background: #bbdce9; */
    border-radius: 50px;
}
.genn-art-galery-skruglenie .ba-image {
    border-radius: 10px;
}
.genn-art-galery-skruglenie .ba-caption {
    border-radius: 10px;
}
body .sppb-btn, body .btn {
    text-transform: none;
}

.genn-art-df-vcc-row {
    display: flex;
    justify-content: space-around;
}
.genn-art-df-vcc-map {
    display: flex;
}

.genn-art-df-vcc-map>div {
    margin-right: 10px;
}

.genn-art-df-vcc-col>div {
    width: 50%;
    border: 1px solid #ddd;
    border-radius: 5px;
}
ymaps h2 {
    font-size: 18px;
    padding-bottom: 5px;
    border-bottom: 1px solid #ddd;
    color: #0e85af;
}
.genn-art-df-vcc a {
    display: flex;
}

.genn-art-df-vcc a>img {
    margin-right: 7px;
}

.genn-art-df-vcc {
}
.genn-art-df-vcc-col {
    display: flex;
    gap: 10px;
    margin: 10px 0;
}

.genn-art-df-vcc-col>div {
    padding: 5px 10px;
}
.sppb-section #section-id-553c112f-ca34-47ca-b051-649262674e35 {
    padding-top: 10px;
    padding-right: 0px;
    padding-bottom: 10px;
    padding-left: 0px;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
}



.sp-page-builder .page-content #section-id-b78a9c7c-a1ab-41d4-86d3-32d106a6414f {
    padding-top: 30px;
    padding-right: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
    width: 100%;
}

.genn-kat-animated-element-arrow {
    width: 26px;
    height: 26px;
}

.genn-kat-animated-element {
    position: relative;
    animation: moveDown 2s linear infinite;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 26px;
    font-weight: 600;
}

@keyframes moveDown {
    0% {
        top: 0;
    }
    50% {
        top: 30px;
    }
    100% {
        top: 0;
    }
}

.genn-art-tae {
    text-align: end;
}
.genn-toltip-ico {
    border: none;
}

.genn-kat-ico-vakansii-phone {
    background: #23cf5f;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 60px;
    border-radius: 10px;
    margin-right: 10px;
    font-size: 25px;
    color: #fff;
    transition: all .3s;
}
.genn-kat-ico-vakansii-phone:hover, .genn-kat-ico-vakansii-phone:active, .genn-kat-ico-vakansii-comment:hover,.genn-kat-ico-vakansii-comment:active  {
    color: #fff;
    background: #00bcff;
    box-shadow: 0 10px 20px rgb(0 0 0 / 10%);
    scale: 1.02;
}

.genn-kat-ico-vakansii-comment {
    background: #0e85af;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 60px;
    border-radius: 10px;
    margin-right: 10px;
    font-size: 25px;
    color: #fff;
}


.genn-kat-toltip-zp {
    border-bottom: none;
}

.vakansii-zp-item {
    background: red;
    padding: 18px;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    border-radius: 10px;
    font-size: 20px;
    font-weight: 100;
    line-height: 1;
}

.vakansii-zp-span {
    font-size: 45px;
    font-weight: 900;
}

.genn-art-vakansii-zp {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #f00;
    border-radius: 10px;
    color: #fff;
    padding: 15px;
}

.genn-art-vakansii-zp-cifry {
    font-size: 40px;
    font-weight: 900;
}

.genn-art-vakansii-zp-price {
    line-height: 1;
}
.genn-art-form-lebl-none legend.ba-field-label-wrapper {
    display: none !important;
}
aside#sp-left .sp-module {
    padding: 0 !important;
}
#sp-main-body {
    padding: 30px 0;
}
.view-category #sp-main-body .container .blog .article-list .article .article-body .article-header h2{
    font-size: 14px;
}
.article-list .article .article-header h1 a:hover, .article-list .article .article-header h1 a:active, .article-list .article .article-header h1 a:focus, .article-list .article .article-header h2 a:hover, .article-list .article .article-header h2 a:active, .article-list .article .article-header h2 a:focus {
    color: #00b7ff;
}

.layout-blog .article {transition: all .3s;}
.layout-blog .article:hover {
    scale: 1.02;
    box-shadow: 0px 10px 15px rgb(0 0 0 / 30%) !important;
}
.view-category #sp-main-body .container .blog .article-list .article {
    max-width: 510px;
    margin: 0 auto;
    padding: 20px;
    border: 1px solid #d8d8e1;
    background: #fff;
    border-radius: 40px;
    box-shadow: 0px 5px 5px rgb(0 0 0 / 10%);
}
.genn-art-mt0 {
    margin-top: 0 !important;
}
.itemid-358 .article-header>h2 {
    margin-bottom: 0 !important;
}
html {
  box-sizing: border-box;
}
#sp-menu ul.social-icons a:hover,#sp-menu ul.social-icons a:focus {
    color: #0e85af
}

a {
    color: #0e85af;
}

a:hover,a:focus,a:active {
    color: #00bcff;
}
.sp-megamenu-parent>li:hover>a {
    color: #ffffff;
}

.sp-megamenu-parent>li>a {
    color: #88c7dd;
}
.genn-art-blok-cvet-df-1 {
    display: flex;
}
.genn-art-blok-cvet-df-1 div{
    width: 200px;
    height: 50px;
    margin-right: 10px;
    border: 1px solid #ddd;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    margin-bottom: 10px;
    text-align: center;
    line-height: 1;
}

.genn-art-blok-cvet-df-2 {
    display: flex;
}
.genn-art-blok-cvet-df-2 div{
    width: 100px;
    height: 50px;
    margin-right: 10px;
    border: 1px solid #ddd;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    margin-bottom: 10px;
}
.genn-art-blok-font-df-1 {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.genn-art-blok-font-df-2 {
    width: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background: #fff;
    margin-right: 10px;
    border-radius: 10px;
    /* box-shadow: inset 2px -2px 12px #99c2d057; */
    border: 1px solid #badce8;
}

.genn-art-btn-1 {
    padding: 10px 20px;
    margin-right: 10px;
    background: #0e85af3b;
    border-radius: 10px;
    color: #0e85af;
    border: 1px solid #0e85af4a;
}

.genn-art-btn-2 {
    padding: 10px 20px;
    margin-right: 10px;
    background: #0e85af;
    border-radius: 10px;
    color: #fff;
    border: 1px solid #0e85af;
}.genn-art-btn-2:hover {
    padding: 10px 20px;
    margin-right: 10px;
    background: #ff0202;
    border-radius: 10px;
    color: #fff;
    border: 1px solid #ff0202;
}
.genn-art-btn-1:hover {
    padding: 10px 20px;
    margin-right: 10px;
    background: #0e85af;
    border-radius: 10px;
    color: #ffffff;
    border: 1px solid #0e85af;
}
.genn-art-akkardion-1 .sppb-panel.sppb-panel-custom {
    background: #b2d7e5 !important;
    border-color: #0e85af54 !important;
}
.genn-art-akkardion-1 .sppb-panel-body {background: #ffffff;}
.genn-art-akkardion-2 .sppb-panel.sppb-panel-custom {
    background: #eef8fc !important;
    border-color: #0e85af59 !important;
}
.genn-art-akkardion-2 .sppb-panel-body {background: #fcfeff;}
.genn-art-list-style-1 {
    list-style: none;
    padding: 0;
}
.genn-art-list-style-1 li{
    padding: 7px 10px;
    margin-bottom: 5px;
    border-radius: 5px;
    border-left: 10px solid #f05d22;
    transition: 0.3s all linear;
    background: #fff;
    font-size: 13px;
}
.genn-art-list-style-2 {
    counter-reset: li;
    list-style: none;
    padding: 0;
    margin-left: 15px;
}

.genn-art-list-style-2 a {
    position: relative;
    display: block;
    padding: 3px 4px 3px 20px;
    margin: .5em 0;
    background: #ffffff;
    color: #444;
    text-decoration: none;
    border-radius: .3em;
    transition: .3s ease-out;
}

.genn-art-list-style-2 a:hover {
    background: #0e85af;
    color: rgb(255 255 255 / 60%);
}

.genn-art-list-style-2 a:hover:before {
    transform: rotate(360deg);
}

.genn-art-list-style-2 a:before {
    content: counter(li);
    counter-increment: li;
    position: absolute;
    left: -1.3em;
    top: 60%;
    margin-top: -1.3em;
    background: #0e81aa;
    height: 27px;
    width: 27px;
    line-height: 2em;
    text-align: center;
    border-radius: 2em;
    transition: all .3s ease-out;
    display: flex;
    justify-content: center;
    align-items: center;
    color: rgb(255 255 255 / 60%);
    font-weight: 300;
    border: 3px solid #fff;
    font-size: 12px;
}

body.ltr .sp-megamenu-parent .sp-dropdown.sp-dropdown-main.sp-menu-full {
    padding-top: 25px;
}

.genn-art-list-style-1 li:nth-child(2){border-color: #8bc63e;}
.genn-art-list-style-1 li:nth-child(3){border-color: #fcba30;}
.genn-art-list-style-1 li:nth-child(4){border-color: #1ccfc9;}
.genn-art-list-style-1 li:nth-child(5){border-color: #493224;}
.genn-art-list-style-1 li:hover {border-left: 10px solid transparent;}
.genn-art-list-style-1 li:nth-child(1):hover {border-right: 10px solid #ff2b02;background: rgb(253 238 232);padding-left: 0;}
.genn-art-list-style-1 li:nth-child(2):hover {border-right: 10px solid #8bc63e;background: rgb(243 249 235);padding-left: 0;}
.genn-art-list-style-1 li:nth-child(3):hover {border-right: 10px solid #fcba30;background: rgb(255 248 234);padding-left: 0;}
.genn-art-list-style-1 li:nth-child(4):hover {border-right: 10px solid #1ccfc9;background: hsl(176.67deg 64.29% 94.51%);padding-left: 0;}
.genn-art-list-style-1 li:nth-child(5):hover {border-right: 10px solid #493224;}

.genn-art-smart-menu:hover img {
    margin-left: -50px;
}
.genn-art-smart-menu img {
    margin-left: 10px;
}

.genn-art-smart-menu img {
    transition: all .3s;
}

.genn-art-blok-menu-pc:hover img {
    transform: rotate3d(0, 0, 5, 6deg);    
    animation: swinging 3.5s infinite cubic-bezier(0.4, 0, 1, 1) alternate;
}
.genn-art-blok-menu-pc {
    padding: 0 10px 3px 10px;
    margin-top: 5px;
    border-radius: 10px;
}
.genn-art-blok-menu-pc:hover {
    background: #e6f5fb;
}
@keyframes swinging{
0% { transform: rotate(0); }
5% { transform: rotate(10deg); }
10% { transform: rotate(-9deg); }
15% { transform: rotate(8deg); }
20% { transform: rotate(-7deg); }
25% { transform: rotate(6deg); }
30% { transform: rotate(-5deg); }
35% { transform: rotate(4deg); }
40% { transform: rotate(-3deg); }
45% { transform: rotate(2deg); }
50% { transform: rotate(0); } /* Come to rest at 50%. The rest is just stillness */
100% { transform: rotate(0); }
}

a.genn-art-blok-menu-pc {
    color: #808080;    
}

.genn-art-blok-menu-pc>div>div {
    font-size: 13px;
    line-height: 1;
}
.genn-art-blok-menu-pc>div{
    width: 100%;
}

.genn-art-menu-razrabotki .sp-dropdown{
    padding: 0;
}

.genn-art-menu-razrabotki .sp-dropdown-inner {
    padding: 0 !important;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0px 6px 15px #00000059;
}


.sp-profile-wrapper .sp-profile-dropdown {
    min-width: 290px;
    z-index: 9999;
}
/*ÃƒÂÃ‚Â¡ÃƒÂÃ‚ÂºÃƒâ€˜Ã¢â€šÂ¬Ãƒâ€˜Ã¢â‚¬Â¹Ãƒâ€˜Ã¢â‚¬Å¡ÃƒÂÃ‚Â¸ÃƒÂÃ‚Âµ ÃƒÂÃ‚ÂºÃƒÂÃ‚Â¾Ãƒâ€˜Ã¢â€šÂ¬ÃƒÂÃ‚Â·ÃƒÂÃ‚Â¸ÃƒÂÃ‚Â½Ãƒâ€˜Ã¢â‚¬Â¹ start*/

/*ÃƒÂÃ‚Â¡ÃƒÂÃ‚ÂºÃƒâ€˜Ã¢â€šÂ¬Ãƒâ€˜Ã¢â‚¬Â¹Ãƒâ€˜Ã¢â‚¬Å¡ÃƒÂÃ‚Â¸ÃƒÂÃ‚Âµ ÃƒÂÃ‚ÂºÃƒÂÃ‚Â¾Ãƒâ€˜Ã¢â€šÂ¬ÃƒÂÃ‚Â·ÃƒÂÃ‚Â¸ÃƒÂÃ‚Â½Ãƒâ€˜Ã¢â‚¬Â¹ end*/

.ba-form-radio-field .ba-form-checkbox-wrapper .ba-form-radio span:before {
    background: #ffffff;    
}
.genn-web-button-about-us-collum {
    display: flex;
    box-shadow: 0 0 0 0 #FFFFFF;
    justify-content: center;
    align-items: center;
    align-content: center;
    flex-wrap: nowrap;
}

.genn-web-button-about-us {
    display: flex !important;
    margin-left: 0px !important;
    justify-content: center !important;
    padding: 32px 0px 32px 0px !important;
}

#sp-header {
    height: 80px !important;     
    background: var(--genn-color-1);
}   
#sp-header .logo {
    height: 80px !important;
}
.it-text-color {
    font-weight: 100;
    color: #92d3eb;
    font-size: 16px;
}
.art-border-right-1{
    border-right: 1px solid #ddd;
}

.sp-megamenu-parent>li>a, .sp-megamenu-parent>li>span {
    text-transform: uppercase;
    font-weight: 400;
}
#sp-header.header-sticky {
    box-shadow: 0px 4px 10px #00000033;
    border-bottom: 2px solid #0e85af;
    background: #0e85af;
}

.animate-header{
    position:relative;
    /* text-align:center; */
    color: #0e85af;
}
.flex { /*Flexbox for containers*/
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.waves {
  position:relative;
  width: 100%;
  height:15vh;
  margin-bottom:-7px; /*Fix for safari gap*/
  min-height:100px;
  max-height:150px;
}
.parallax > use {
  animation: move-forever 25s cubic-bezier(.55,.5,.45,.5)     infinite;
}
.parallax > use:nth-child(1) {
  animation-delay: -2s;
  animation-duration: 7s;
}
.parallax > use:nth-child(2) {
  animation-delay: -3s;
  animation-duration: 10s;
}
.parallax > use:nth-child(3) {
  animation-delay: -4s;
  animation-duration: 13s;
}
.parallax > use:nth-child(4) {
  animation-delay: -5s;
  animation-duration: 20s;
}
@keyframes move-forever {
  0% {
   transform: translate3d(-90px,0,0);
  }
  100% { 
    transform: translate3d(85px,0,0);
  }
}
/*Shrinking for mobile*/
@media (max-width: 768px) {
  .waves {
    height:40px;
    min-height:40px;
  }

}



.gen-we-work{
 display: flex;
}
.time-item {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color:#ffffff;
    padding: 0;
}
.time-item-title {
    background: #93bdcb;
    padding: 0 0px 5px 0;
    margin-top: -10px;
    min-width: 75px;
    border-radius: 0 0 10px 10px;
    border-top: 3px solid var(--color-1);
    
}
.time-item span{
    display: flex;
    background:#ffffff;
    margin: .2rem;
    font-size: 38px;
    border-radius: 10px;
    color: var(--color-1);
    width: 75px;
    height: 75px;
    justify-content: center;
    align-items: center;
    font-weight: 900;
    font-family: 'Montserrat';
    box-shadow: 0px 0px 10px #67676785;
}
.col.time-item.last {
    transform: rotate3d(0, 0, 5, 6deg);
    transform-origin: 5% 5%;
    animation: rotateLast 1.5s infinite ease-in-out alternate ;
}
.col.time-item.last::after {
    content: '';
    position: absolute;
    left: 16%;
    top: 7%;
    width: 5px;
    height: 5px;
    background: #3333333d;
    border-radius: 2px;
    box-shadow: 0 4px 3px #333333a6;
    border: 1px solid #615f5f;
}
@keyframes rotateLast {
  0% {
    transform: rotate3d(0, 0, 5, 6deg);
  }
 
  100% {
    transform: rotate3d(0, 0, 5, 3deg);
  }
}



/*Gen-menu start*/



.gen-menu {
    margin: 0 auto;
    width: 42em ;
    display: flex ;
    height: 10.4em ;
    user-select: none ;
    position: relative ;
    align-items: center ;
    padding: 0 1.9em 2.5em ;
    justify-content: center ;
  
}

@media (max-width: 42.625em) {
  
  .gen-menu {
    font-size: .55em ;
  }
  
}



.gen-menu__item {
    all: unset;
    display: flex;
    width: 69px;
    cursor: pointer;
    margin: 15px;
    position: relative;
    align-items: center;
    color: var(--color-1);
    transition: all var(--duration) var(--cubic);
    
}

.gen-menu__icon {
    font-size: 1.05em;
    width: auto;
    stroke: currentColor;
    transition: transform var(--duration) var(--cubic);
    background: #fff;
    border-radius: 35px;
    padding: 16px;
    z-index: 5;
    box-shadow: 0 0 0px #00000047;
}
.active .gen-menu__icon {
   
    box-shadow: 0 0 10px #00000047;
}
.gen-menu__text {
    font-size: 1.5em;
    opacity:0;
    position: relative;
    text-transform: capitalize;
    letter-spacing: .01em;
    transform: translate3d(-44%, 0, 0);
    transition: all calc(var(--duration) / 3.7);
    text-wrap: nowrap;
    z-index: 2;
    background: #93bdcb;
    padding: 4px 22px 5px 45px;
    border-radius: 0 25px 25px 0;
    color: #fff;
    font-weight: 100;
}

.gen-menu__item.active {
    width:fit-content;
    color: var(--color-2) ;
}

.gen-menu__item.active .gen-menu__icon {    
    transform: translate3d(0% , 0, 0) ;    
}
 
.gen-menu__item.active::before {
    transform: scale(1) ;
}

.gen-menu__item.active::after {
    transform: translate3d(6.3em , 0, 0) scaleX(1) ;
    transition: transform var(--duration) var(--cubic) ;
}

.active .gen-menu__text {
    opacity:1;
    transform: translate3d(-15% , 0, 0) ;
    transition: all calc(var(--duration) / 1.5) ;
}

.gen-icon {
    --duration-icon: 1s;
    fill: var(--color-1);
    width: 2.5em;
    height: 2.5em;
    display: block;
    stroke-width: 0px;
}


/*Gen-menu end*/

/*Gen login modal START*/
.sp-module.gen-adm-login {
    display: none;
    position: fixed;
    top: calc(50% - 235px);
    z-index: 10000;
    left: calc(50% - 165px);
    background: #fff;
    padding: 30px;
    border-radius: 10px;
    
}
.offcanvas-overlay {
    cursor: url('../images/gen-cursor.cur'), auto;
}
.offcanvas-overlay.active{
    visibility: visible;
    opacity: 1;
}
/*Gen login modal END*/ 

.genn-art-blok-menu-pc img {
    margin-right: 10px;
}

.genn-art-blok-menu-pc h3 {
    font-size: 15px;
    color: #1c8cb4;
    margin-bottom: 0;
}

/*bazovie classy genn start*/

.genn-df {
    display: flex;
}
.genn-df-cc{
  display: flex;
  align-items: center;
  justify-content: center;
}
.genn-df-vc{
  display: flex;
  align-items: center;
}
.genn-df-gc{
  display: flex;
  justify-content: center;
}

/*bazovie classy genn END*/
.genn-art-btn-tz {
   background: #0e85af !important;
   padding: 5px 20px !important;
   transition: all .3s;
   color: #B7E5F6;
   font-family: 'Montserrat', sans-serif;
   font-weight: 400 !important;
   text-transform: math-auto !important;
   line-height: 1.5 !important;
}
   .genn-art-btn-tz:hover {
   background: #3dacd3 !important;
   color: #fff;
}
.genn-art-menu-belyi-div-1 {
    border-radius: 0 0 25px 0;
    padding-bottom: 10px !important;
    padding-right: 10px !important;
}
.genn-art-menu-belyi-div-2 {
    border-radius: 50px 0 0 0px;
    width: fit-content;
    float: right;
    padding: 21px 20px 10px 30px;
}
.genn-art-menu-belyi-div-3 {
    border-radius: 0 25px 0 0;
}
.genn-art-sp-addon-artikles-1 {
    margin-top: 3px;
    display: contents;
}

.genn-art-sp-addon-artikles-1 .sppb-addon-article {
    display: flex;
}

.genn-art-sp-addon-artikles-1 img.sppb-img-responsive {
    max-width: 110px;
    border-radius: 5px;
}

.genn-art-sp-addon-artikles-1 .sppb-addon-article {
    margin: 3px 0 3px 0;
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 5px;
    transition: all .3s;
}

.genn-art-sp-addon-artikles-1 h3>a {
    font-size: 16px;
    color: #1c8cb4;
}

.genn-art-sp-addon-artikles-1 .sppb-article-info-wrap {
    padding: 0 15px;
}

.genn-art-sp-addon-artikles-1 h3 {
    line-height: 16px;
}
.genn-art-sp-addon-artikles-1 .sppb-article-introtext {
    line-height: 1;
    color: #808080;
    font-size: 13px;
}
.genn-art-sp-addon-artikles-1 .sppb-addon-article:hover {
    box-shadow: 0px 3px 5px #00000026;
}
.genn-art-menu-btn-grup .sppb-btn-default {
    padding:  2px 15px !important;
    text-transform: none;
    margin: 2px !important;
    font-size: 13px;
}

.sppb-carousel-extended-nav-control .nav-control {
    border: none;
}

.genn-art-table-css-1 {
    width: 200px;
    min-width: 200px;
    padding-left: 5px;
}

.genn-art-table-css {
    border: 1px solid #ddd;
    padding: 5px;
    border-radius: 5px;
    width: 100%;
    margin-bottom: 10px;
    background: #fff;
}

.genn-art-table-css-2 {
    padding: 0 10px;
    display: block;
    border-left: 1px solid #ddd;
}
.genn-art-menu-top0 {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    background: #fff;
    align-items: center;
    align-content: center;
    padding: 0px 15px;
    border-radius: 0 0 20px 20px;
    margin-bottom: 13px;
    box-shadow: 0px 0 3px #0000000d;
    border: 1px solid #ddd;
    border-top: 0;
    min-height: 30px;
}
.genn-art-menu-top1 {
    width: 100%;
}
.genn-art-menu-top2 {
    min-width: 100px;
    display: flex;
    justify-content: flex-end;
}
#sp-menu>.sp-column {
    height: auto;
}
.sp-megamenu-parent>li>a, .sp-megamenu-parent>li>span {
    line-height: 1;
    padding: 0 10px;
}
body.ltr .sp-megamenu-parent .sp-dropdown.sp-dropdown-main.sp-menu-full {
    left: auto;
    right: -10px;
}
#sp-logo {
    padding-left: 0;
}
.genn-art-top-icon-1 {
    margin-right: 7px;
    display: block;
}
.genn-art-top-icon-title {
    font-size: 12px;
    line-height: 1;
}
.genn-art-top-icon-phone {
    display: flex;
    align-items: center;
    align-content: center;
    font-weight: 900;
    padding-top: 1px;
}
.genn-art-top-icon-phone>img {
    margin: 0 7px;
}

.genn-art-top-icon-1-titl {
    font-size: 12px;
    color: #888;
    margin-left: 20px;
}
.genn-art-menu-top1 .sppb-row-container {
    padding: 0;
}
.genn-art-top-icon {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.genn-art-df-cc {
    display: flex;
    justify-content: flex-start;
}
#sp-menu {
    padding: 0;
}

.fas-genn-profile {
    -webkit-mask: url(../images/vk-icon-mobile.svg) no-repeat center;
    mask: url(../images/vk-icon-mobile.svg) no-repeat center;
    background: #1b88ad;
    width: 18px;
    height: 18px;
    display: block;
    mask-size: cover;
}

.genn-art-blok-mob-skril-imag {
    width: 87%;
    background: #dddddd78;
    position: absolute;
    top: 3.6%;
    left: 6.3%;
    overflow: hidden;
    height: 89.3%;
    display: block;
    overflow-y: scroll;
    border-radius: 23px;
    scrollbar-width: none;
}

.genn-kat-portfolio-teg-bg-black{
    background: none;
    border-radius: 0px;
    padding-top: 0px;
}
@media (max-width: 1980px) {
   .genn-kat-portfolio-row-bg-black{
        background: none;
        border-radius: 0px;
        padding-top: 0px;
    }
    .genn-portfolio-teg>.sppb-addon-content a:first-child {
        text-align: center;
        min-width: 0;
        position: absolute;
        top: -19px;
        width: 100%;
        margin-left: 0px !important;
        left: 0;
    }
}

@media (max-width: 400px) {
    .genn-tehnologii-2 {
    width: 62px;
    margin-right: 0px;
    margin-left: 0px;
    }
    .genn-tehnologii-1 {
    gap: 10px;
    font-size: 13px;
    }
}
@media (min-width: 576px) {
    .genn-kat-portfolio-row-bg-black{
        
    }
}

@media (max-width: 640px) {
    .genn-art-blok-titl-zadaci:before {
    left:  -55px;
}
}
@media only screen and (max-width: 600px) {
    .genn-art-blok-menu {
        align-items: flex-start;
        
    }
    .genn-art-pricelist-price-content{
        position: absolute;
        top: 0;
        right: 0;
        background: none;
        border-radius: 15px 0 15px 0;
        padding: 10px;
    }
    .genn-art-blok-menu .pricelist-line {display: none;}

    .genn-art-blok-menu .pricelist-title, .genn-art-blok-menu .pricelist-price{
        color: #0e85af;
        max-width: 75%;
    }
}